---
---
# catalog

See the list of concepts below.
If you'd like to suggest a new concept, you
can [create an issue in our GitHub repo](https://github.com/deja-vu-platform/deja-vu/issues/new?assignees=&labels=&template=concept-request.md&title=%5BConcept+Request%5D).
To contribute a new concept, see the
[contributing instructions](https://github.com/deja-vu-platform/deja-vu#contributing).


{: .tiles}
- Allocator

  Distribute resources among consumers

  {% include concept-btns.html name="allocator" %}
- Authentication

  Verify the user's identity with a username and password

  {% include concept-btns.html name="authentication" %}
- Authorization

  Control access to resources

  {% include concept-btns.html name="authorization" %}
- Chat

  Exchange messages in real time with other users

  {% include concept-btns.html name="chat" %}
- Comment
 
  Share reactions to items

  {% include concept-btns.html name="comment" %}
- Event

  Schedule events

  {% include concept-btns.html name="event" %}
- Follow

  Receive updates from sources

  {% include concept-btns.html name="follow" %}
- Geolocation

  Locate points of interest

  {% include concept-btns.html name="geolocation" %}
- Group

  Organize members into groups so that they can be handled in aggregate

  {% include concept-btns.html name="group" %}
- Label

  Label items so that they can be found later

  {% include concept-btns.html name="label" %}
- Match

  Connect users after attempting to match with each other

  {% include concept-btns.html name="match" %}
- Passkey

  Verify the user's identity with a code

  {% include concept-btns.html name="passkey" %}
- Property

  Describe an object with properties that have values

  {% include concept-btns.html name="property" %}
- Ranking

  Rank items

  {% include concept-btns.html name="ranking" %}
- Rating

  Crowdsource evaluation of items

  {% include concept-btns.html name="rating" %}
- Schedule
 
  Find times to meet

  {% include concept-btns.html name="schedule" %}
- Scoring
 
  Keep track of scores

  {% include concept-btns.html name="scoring" %}
- Task
 
  Keep track of pieces of work to be done

  {% include concept-btns.html name="task" %}
- Transfer
 
  Transfer money or items between accounts

  {% include concept-btns.html name="transfer" %}
